using System;

namespace SlatedGameToolkit.Framework.Exceptions
{
    internal class InternalFrameworkException : FrameworkException {
        const string ADDITIONAL_MESSAGE = "\nThis exception is a framework bug!";
        public InternalFrameworkException() : base() {

        }

        public InternalFrameworkException(string message) : base(message + ADDITIONAL_MESSAGE) {

        }
        
        public InternalFrameworkException(string message, Exception inner) : base(message + ADDITIONAL_MESSAGE, inner) {
        }
    }
}